Name:           waydroid-magisk
Version: 1.2.4
Release:        3%{?dist}
Summary:        waydroid magisk
License:        LGPL
URL:            https://github.com/nitanmarcel/waydroid-magisk

BuildRequires:  coreutils rpm_macro(_waydroidextradir) rpm_macro(_systemd_util_dir) sed make
Patch1:         0001-update.patch
Source0:        waydroid-magisk-%{version}.tar.gz
#Source0:        https://github.com/nitanmarcel/waydroid-magisk/archive/refs/heads/main.zip#/waydroid-magisk.zip
#Source1:        https://huskydg.github.io/magisk-files/app-release.apk#/magisk-delta.apk
BuildArch:      noarch

Requires:       python3 waydroid
Requires:       ( waydroid(magisk.apk) or waydroid-root )
Recommends:     waydroid(images/system.img) waydroid(images/vendor.img)


#package delta-apk
#Requires:       waydroid-magisk = %{version}
#Version: 1.2.4
#Summary:        waydroid magisk delta apk

%description
Waydroid Magisk script

#description delta-apk
#Waydroid Magisk apk file

%prep
%autosetup -p1
#unzip -o '%_sourcedir/waydroid-magisk.zip'


%install
mkdir -p  '%{buildroot}%{_defaultlicensedir}/%{name}/'

install -D LICENSE '%{buildroot}%{_defaultlicensedir}/%{name}/'
#install -D '%{SOURCE1}' '%{buildroot}%{_waydroidextradir}/'
sed -i 's/exit/echo/' Makefile
PREFIX='%{_usr}' USE_SYSTEMD=1 DESTDIR='%{buildroot}' make install
sed -i 's~default=None~default="%{_waydroidextradir}/magisk.apk"~g' '%{buildroot}%{_usr}/bin/waydroid_magisk'
mv '%{buildroot}%{_usr}/bin/waydroid_magisk' '%{buildroot}%{_usr}/bin/waydroid-magisk'

%files
%license LICENSE
%{_usr}/bin/*
%{_systemd_util_dir}/*

#files delta-apk
#dir %{_waydroidextradir}
#{_waydroidextradir}/magisk-delta.apk

%changelog
* Tue Aug 1 2023 huakim tylyktar <zuhhaga@gmail.com> 4.5.0.3-2
- added source 

* Thu Jul 20 2023 huakim tylyktar <zuhhaga@gmail.com> 4.5.0.3-1
- created spec file
